Can not print from 18.04 to HP M127fn, hp-check -t shows no issues

Asked by peter on 2018-10-09

Ubuntu 18.04, HP LaserJet Pro MFP M127fn

The printer works fine with another box (Ubuntu 16.04), but cant print a test page (or anythiing else ) with 18.04.
Tried all the suggestions I could scour across the net (eg reinstall, purge & reinstall, etc etc etc)

I can scan, and the HP device manager sees the printer (even tells me how much toner is left) but it does not print.

Output of hp-check -t follows:

---------------
| SYSTEM INFO |
---------------

 Kernel: 4.15.0-36-generic #39-Ubuntu SMP Mon Sep 24 16:19:09 UTC 2018 GNU/Linux
 Host: isaac
 Proc: 4.15.0-36-generic #39-Ubuntu SMP Mon Sep 24 16:19:09 UTC 2018 GNU/Linux
 Distribution: 12 18.04
 Bitness: 64 bit

-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.18.9
HPLIP-Home: /usr/share/hplip
HPLIP-Installation: Auto installation is supported for ubuntu distro 18.04 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.18.9

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.18.9
html=/usr/share/doc/hplip-3.18.9
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.18.9
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=yes
class-driver=no

Current contents of '/var/lib/hp/hplip.state' file:
[plugin]
installed = 1
eula = 1
version = 3.18.9

Current contents of '~/.hplip/hplip.conf' file:
[upgrade]
notify_upgrade = true
last_upgraded_time = 1539105039
pending_upgrade_time = 0

[last_used]
device_uri = "hp:/usb/HP_LaserJet_Pro_MFP_M127fn?serial=CNB9H8T11D"
printer_name = HP_LaserJet_Pro_MFP_M127fn
working_dir = .

[settings]
systray_visible = 0
systray_messages = 0

[commands]
scan = /usr/bin/xsane -V %SANE_URI%

[refresh]
rate = 30
enable = false
type = 1

[polling]
enable = false
interval = 5
device_list =

[fax]
voice_phone =
email_address =

[installation]
date_time = 2018-10-09 13:41:39
version = 3.18.9

 <Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>

--------------
| COMPILEDEP |
--------------

 gcc gcc - GNU Project C and C++ Compiler REQUIRED - 7.3.0 OK -
 make make - GNU make utility to maintain groups of programs REQUIRED 3.0 4.1 OK -
 libtool libtool - Library building support services REQUIRED - 2.4.6 OK -

------------------------
| General Dependencies |
------------------------

 libcrypto libcrypto - OpenSSL cryptographic library REQUIRED - 1.1.0 OK -
 python-xml Python XML libraries REQUIRED - 2.2.5 OK -
 libnetsnmp-devel libnetsnmp-devel - SNMP networking library development files REQUIRED 5.0.9 5.7.3 OK -
 sane-devel SANE - Scanning library development files REQUIRED - - OK -
 pil PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL - 1.1.7 OK -
 pyqt4-dbus PyQt 4 DBus - DBus Support for PyQt4 REQUIRED 4.0 4.12.1 OK -
 libpthread libpthread - POSIX threads library REQUIRED - 2.27 OK -
 python-devel Python devel - Python development files REQUIRED 2.2 2.7.15 OK -
 cups-devel CUPS devel- Common Unix Printing System development files REQUIRED - 2.2.7 OK -
 python-dbus Python DBus - Python bindings for DBus REQUIRED 0.80.0 1.2.6 OK -
 cups-ddk CUPS DDK - CUPS driver development kit OPTIONAL - - OK -
 reportlab Reportlab - PDF library for Python OPTIONAL 2.0 3.4.0 OK -
 pyqt4 PyQt 4- Qt interface for Python (for Qt version 4.x) REQUIRED 4.0 4.12.1 OK -
 libusb libusb - USB library REQUIRED - 1.0 OK -
 cups-image CUPS image - CUPS image development files REQUIRED - 2.2.7 OK -
 python2X Python 2.2 or greater - Python programming language REQUIRED 2.2 2.7.15 OK -
 python-notify Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL - - OK -
 libjpeg libjpeg - JPEG library REQUIRED - - OK -
 sane SANE - Scanning library REQUIRED - - OK -

----------------------
| Scan Configuration |
----------------------

 scanext Scan-SANE-Extension REQUIRED - 3.18.9 OK -
 hpaio HPLIP-SANE-Backend REQUIRED - 3.18.9 OK 'hpaio found in /etc/sane.d/dll.conf'

-------------------------
| External Dependencies |
-------------------------

 gs GhostScript - PostScript and PDF language interpreter and previewer REQUIRED 7.05 9.25 OK -
 scanimage scanimage - Shell scanning program OPTIONAL 1.0 1.0.27 OK -
 cups CUPS - Common Unix Printing System REQUIRED 1.1 2.2.7 OK 'CUPS Scheduler is running'
 network network -wget OPTIONAL - 1.19.4 OK -
 policykit PolicyKit - Administrative policy framework OPTIONAL - 0.105 OK -
 xsane xsane - Graphical scanner frontend for SANE OPTIONAL 0.9 0.999 OK -
 dbus DBus - Message bus system REQUIRED - 1.12.2 OK -
 avahi-utils avahi-utils OPTIONAL - 0.7 OK -

---------------------
| Python Extentions |
---------------------

 hpmudext IO-Extension REQUIRED - 3.18.9 OK -
 cupsext CUPS-Extension REQUIRED - 3.18.9 OK -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

device `hpaio:/usb/HP_LaserJet_Pro_MFP_M127fn?serial=CNB9H8T11D' is a Hewlett-Packard HP_LaserJet_Pro_MFP_M127fn all-in-one

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

  Device URI Model
  ---------------------------------------------------- --------------------------------------
  hp:/usb/HP_LaserJet_Pro_MFP_M127fn?serial=CNB9H8T11D HP LaserJet Pro MFP M127fn

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

HP_LaserJet_Pro_MFP_M127fn
--------------------------
Type: Printer
Device URI: hp:/usb/HP_LaserJet_Pro_MFP_M127fn?serial=CNB9H8T11D
PPD: /etc/cups/ppd/HP_LaserJet_Pro_MFP_M127fn.ppd
PPD Description: HP LaserJet Pro MFP m127fn, hpcups 3.18.9
Printer status: printer HP_LaserJet_Pro_MFP_M127fn is idle. enabled since Tue 09 Oct 2018 01:23:46 PM EDT
Communication status: Good

--------------
| PERMISSION |
--------------

USB HP_LaserJet_Pro_MFP_M127fn Required - - OK Node:'/dev/bus/usb/001/006' Perm:' root lp rw- rw- rw- rw- r--'
No errors or warnings.

Done.

Question information

Language:
English Edit question
Status:
Solved
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Solved by:
peter
Solved:
2018-10-12
Last query:
2018-10-12
Last reply:
2018-10-10
srinivas (srinivas5) said : #1

Hi,

Hope you have installed plugin.
Open Cups page and add your printer and do a print.
Check and share the status in the "Printers" section.
share the "error log" generated in the( Administration section --> Server)
or
run "sudo hp-logcapture" and then do print. It will generate logs in ".tar" file.
Share it.

Regards,
Srinivas Teja.

hha4491 (hha4491) said : #2

I have the same problem with my HP printers after upgrading from xubuntu 16.04 to 18.04.

peter (prabinovitch) said : #3

The end result was (wish I could remember where I saw this suggestion): sudo apt-get install --reinstall libgs9-common
Then printing worked, but scanning didnt.
After that reinstalled hplip again, and now I can both print and scan!